获取可用的付款方式
curl --request GET \
--url https://api.stage.localpayment.com/api/resources/payment-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/resources/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/resources/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/resources/payment-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/resources/payment-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/resources/payment-methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/resources/payment-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"accountCode": "TESTARGUSD01",
"accountNumber": "{{accountNumber}}",
"countryISOCode3": "ARG",
"moR": null,
"mid": "0",
"payinPaymentMethods": [
{
"id": 30,
"code": "1005",
"name": "Visa",
"description": "Visa",
"url": "https://cdn.localpayment.com/logos/visa-debit.png",
"paymentMethodType": "DebitCard",
"transactionType": 0,
"country": {
"id": 0,
"code": "032",
"name": "Argentina",
"isoCode3": "ARG",
"localCurrency": {
"code": "032",
"name": "Argentine peso",
"isoCode3": "ARS",
"decimals": 2,
"isHard": false
}
}
},
{
"id": 24,
"code": "1023",
"name": "ITAU",
"description": "ITAU",
"url": "https://cdn.localpayment.com/logos/itau.png",
"paymentMethodType": "BankTransfer",
"transactionType": 0,
"country": {
"id": 0,
"code": "032",
"name": "Argentina",
"isoCode3": "ARG",
"localCurrency": {
"code": "032",
"name": "Argentine peso",
"isoCode3": "ARS",
"decimals": 2,
"isHard": false
}
}
},
{
"id": 19,
"code": "1000",
"name": "Visa",
"description": "Visa",
"url": "https://cdn.localpayment.com/logos/visa.png",
"paymentMethodType": "CreditCard",
"transactionType": 0,
"country": {
"id": 0,
"code": "032",
"name": "Argentina",
"isoCode3": "ARG",
"localCurrency": {
"code": "032",
"name": "Argentine peso",
"isoCode3": "ARS",
"decimals": 2,
"isHard": false
}
}
},
{
"id": 23,
"code": "1004",
"name": "Santander",
"description": "Santander",
"url": "https://cdn.localpayment.com/logos/santander.png",
"paymentMethodType": "BankTransfer",
"transactionType": 0,
"country": {
"id": 0,
"code": "032",
"name": "Argentina",
"isoCode3": "ARG",
"localCurrency": {
"code": "032",
"name": "Argentine peso",
"isoCode3": "ARS",
"decimals": 2,
"isHard": false
}
}
}
],
"payoutPaymentMethods": [
{
"id": 87,
"code": "2000",
"name": "BBVA",
"description": "Banco Frances",
"url": null,
"paymentMethodType": "BankTransfer",
"transactionType": 0,
"country": {
"id": 0,
"code": "032",
"name": "Argentina",
"isoCode3": "ARG",
"localCurrency": {
"code": "032",
"name": "Argentine peso",
"isoCode3": "ARS",
"decimals": 2,
"isHard": false
}
}
}
]
}
]
数据类型与枚举
获取可用的付款方式
GET
/
api
/
resources
/
payment-methods
获取可用的付款方式
curl --request GET \
--url https://api.stage.localpayment.com/api/resources/payment-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/resources/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/resources/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/resources/payment-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/resources/payment-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/resources/payment-methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/resources/payment-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"accountCode": "TESTARGUSD01",
"accountNumber": "{{accountNumber}}",
"countryISOCode3": "ARG",
"moR": null,
"mid": "0",
"payinPaymentMethods": [
{
"id": 30,
"code": "1005",
"name": "Visa",
"description": "Visa",
"url": "https://cdn.localpayment.com/logos/visa-debit.png",
"paymentMethodType": "DebitCard",
"transactionType": 0,
"country": {
"id": 0,
"code": "032",
"name": "Argentina",
"isoCode3": "ARG",
"localCurrency": {
"code": "032",
"name": "Argentine peso",
"isoCode3": "ARS",
"decimals": 2,
"isHard": false
}
}
},
{
"id": 24,
"code": "1023",
"name": "ITAU",
"description": "ITAU",
"url": "https://cdn.localpayment.com/logos/itau.png",
"paymentMethodType": "BankTransfer",
"transactionType": 0,
"country": {
"id": 0,
"code": "032",
"name": "Argentina",
"isoCode3": "ARG",
"localCurrency": {
"code": "032",
"name": "Argentine peso",
"isoCode3": "ARS",
"decimals": 2,
"isHard": false
}
}
},
{
"id": 19,
"code": "1000",
"name": "Visa",
"description": "Visa",
"url": "https://cdn.localpayment.com/logos/visa.png",
"paymentMethodType": "CreditCard",
"transactionType": 0,
"country": {
"id": 0,
"code": "032",
"name": "Argentina",
"isoCode3": "ARG",
"localCurrency": {
"code": "032",
"name": "Argentine peso",
"isoCode3": "ARS",
"decimals": 2,
"isHard": false
}
}
},
{
"id": 23,
"code": "1004",
"name": "Santander",
"description": "Santander",
"url": "https://cdn.localpayment.com/logos/santander.png",
"paymentMethodType": "BankTransfer",
"transactionType": 0,
"country": {
"id": 0,
"code": "032",
"name": "Argentina",
"isoCode3": "ARG",
"localCurrency": {
"code": "032",
"name": "Argentine peso",
"isoCode3": "ARS",
"decimals": 2,
"isHard": false
}
}
}
],
"payoutPaymentMethods": [
{
"id": 87,
"code": "2000",
"name": "BBVA",
"description": "Banco Frances",
"url": null,
"paymentMethodType": "BankTransfer",
"transactionType": 0,
"country": {
"id": 0,
"code": "032",
"name": "Argentina",
"isoCode3": "ARG",
"localCurrency": {
"code": "032",
"name": "Argentine peso",
"isoCode3": "ARS",
"decimals": 2,
"isHard": false
}
}
}
]
}
]
只需一次请求,即可全面了解您的每个 Localpayment 账户可用的付款方式。
注意
省略 accountNumber 参数将返回所有可用的 Localpayment 付款方式。
授权
响应
OK
国家。ISO 3166-1 alpha-3。
最后修改于 2026年11月10日

